module.exports = function(grunt)
{
  grunt.initConfig( {
    buildEnvironment: {
        development: {
            configFile: "../backend/config/template/devEnvironment.json"
        },
        production: {
            configFile: "../backend/config/template/prodEnvironment.json"
        },
        test: {
            configFile: "../backend/config/template/testEnvironment.json"
        },
        srcFolders: ["../backend/config/", "../backend/query/"]
    },
    zhIdGenerator: {
      options: {
        jsonPath: [],
        menuPath: ["../menu.json"],
        replaceIds: false
      }
    },
    zhWords: {
      options: {
          serverUrl: "https://translate.teknisa.com/backend/index.php",
          wordsPath: "./public/metadata/json/words/",
          organization: "20",
          project: "72180"
      }
    },
  });

  grunt.loadNpmTasks('grunt-zh-environment-builder');
  grunt.loadNpmTasks('grunt-zh-id-generator');
  grunt.loadNpmTasks('grunt-zh-words');

  grunt.registerTask('default', ['buildEnvironment', 'zhWords']);
};
